/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.verticalprio.repository.finding;

import java.util.HashSet;
import java.util.Set;

import se.vgregion.dao.domain.patterns.entity.AbstractEntity;
import se.vgregion.verticalprio.repository.GenerisktFinderRepository;

/**
 * If a collection of object (with entities inside) should generate an inclusive condition when used in conjunction
 * with <code>findByExample</code> in {@link GenerisktFinderRepository} then use this class.
 * 
 * @author Claes Lundahl, vgrid=clalu4
 */
public class NestedHashSet<T extends AbstractEntity<Long>> extends HashSet<T> implements HaveNestedEntities<T> {

    /**
     * @inheritDoc
     */
    @Override
    public Set<T> content() {
        return this;
    }
}
