/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.verticalprio.repository.finding;

import se.vgregion.verticalprio.entity.AbstractKod;

/**
 * @author Claes Lundahl, vgrid=clalu4
 * 
 */
public class NestedUtil {

    public static String toString(HaveNestedEntities<? extends AbstractKod> ak) {
        StringBuilder sb = new StringBuilder();
        for (AbstractKod sr : ak.content()) {
            if (sr.getKod() != null) {
                sb.append(sr.getKod() + ", ");
            }
        }
        if (sb.length() > 0) {
            sb.delete(sb.length() - 2, sb.length());
        }
        return sb.toString().trim();
    }

}
